Range-v3 Range algorithms, views, and actions for the Standard Library |

Friends | List of all members
ranges::actions::action_closure_base Struct Reference
Inheritance diagram for ranges::actions::action_closure_base:

## Friends
template<typename ActionFn , typename Pipeable >
constexpr friend auto | operator| (action_closure< ActionFn > act, Pipeable pipe) -> action_closure< composed< Pipeable, ActionFn >>
template<typename Rng , typename ActionFn >
constexpr friend auto | operator| (Rng &&rng, action_closure< ActionFn > act)
template<typename Rng , typename ActionFn >
constexpr friend auto | operator|= (Rng &rng, action_closure< ActionFn > act) -> Rng &

## Methods

## ◆ operator|

template<typename Rng , typename ActionFn >

constexpr friend auto operator| | ( | Rng && | rng,
|  | action_closure< ActionFn > | act
| ) |  |
| friend

Precondition
  requires `(!std::is_lvalue_reference<Rng>::value) && range<Rng> && invocable_action_closure<ActionFn, Rng &>`